petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPMonitorDynamicTolerance

Recompute the inner tolerance in every outer iteration in an adaptive way.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorDynamicTolerance(KSP ksp,PetscInt its,PetscReal fnorm,void *dummy)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| n | - iteration number (not used) Many br
| fnorm | - the current residual norm Many br
| dummy | - some context as a C struct. fields: Many brcoef: a scaling coefficient. default 1.0. can be passed through Many br-sub_ksp_dynamic_tolerance_param Many brbnrm: norm of the right-hand side. store it to avoid repeated calculation Many br

### Notes

This may be useful for a flexibly preconditioner Krylov method to Many brcontrol the accuracy of the inner solves needed to gaurantee the Many brconvergence of the outer iterations. Many br

Many br

### Keywords

KSP, inner tolerance

### See Also

KSPMonitorDynamicToleranceDestroy()

Level:advanced
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages